Nimbu Developer Docs
ReferenceThemes

Retrieve a layout with code

GET
/themes/{theme_id}/layouts/{layout_name}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

theme_id*string
layout_name*string

Layout name including extension

Header Parameters

X-Nimbu-Site*string

Site identifier

Response Body

application/json

curl -X GET "https://example.com/themes/string/layouts/string" \  -H "X-Nimbu-Site: string"
{
  "id": "string",
  "url": "http://example.com",
  "permalink": "http://example.com",
  "name": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "changed_by": {},
  "changed_live": true,
  "code": "string"
}
Empty